Loading...
Searching...
No Matches
Query Operator Functions

## Functions

hash< QueryOperatorInfo > | ServiceNowRestDataProvider::query_make_op (string op, auto arg)
hash< QueryOperatorInfo > | ServiceNowRestDataProvider::query_op_eq (auto arg)
| returns an QueryOperatorInfo hash for the `"="` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values
hash< QueryOperatorInfo > | ServiceNowRestDataProvider::query_op_ge (auto arg)
| returns an QueryOperatorInfo hash for the `">="` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values
hash< QueryOperatorInfo > | ServiceNowRestDataProvider::query_op_gt (auto arg)
| returns an QueryOperatorInfo hash for the `">"` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values
hash< QueryOperatorInfo > | ServiceNowRestDataProvider::query_op_isempty ()
| returns an QueryOperatorInfo hash for the `"ISEMPTY"` operator with the given argument for use in ServiceNow queries when comparing column values to an empty string
hash< QueryOperatorInfo > | ServiceNowRestDataProvider::query_op_isnotempty ()
| returns an QueryOperatorInfo hash for the `"ISNOTEMPTY"` operator with the given argument for use in ServiceNow queries when comparing column values to an empty string
hash< QueryOperatorInfo > | ServiceNowRestDataProvider::query_op_le (auto arg)
| returns an QueryOperatorInfo hash for the `"<="` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values
hash< QueryOperatorInfo > | ServiceNowRestDataProvider::query_op_like (string str)
| returns an QueryOperatorInfo hash for the `"LIKE"` operator with the given argument for use in ServiceNow queries
hash< QueryOperatorInfo > | ServiceNowRestDataProvider::query_op_lt (auto arg)
| returns an QueryOperatorInfo hash for the `"<"` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values
hash< QueryOperatorInfo > | ServiceNowRestDataProvider::query_op_ne (auto arg)
| returns an QueryOperatorInfo hash for the `"!="` or `"<>"` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values
hash< QueryOperatorInfo > | ServiceNowRestDataProvider::query_op_not (hash arg)
| returns an QueryOperatorInfo hash for the `"not"` operator; for use in ServiceNow queries
hash< QueryOperatorInfo > | ServiceNowRestDataProvider::query_op_notlike (string str)
| returns an QueryOperatorInfo hash for the `"NOTLIKE"` operator with the given argument for use in ServiceNow queries
hash< string, hash< QueryOperatorInfo > > | ServiceNowRestDataProvider::query_wop_or (hash< auto > h1, hash< auto > h2)
| returns an QueryOperatorInfo hash with a fake `"_OR_"` column name; the list of arguments to the function is combined such that each hash in the list generates SQL expressions combined with "and" logic, and each of those clauses is combined with "or" logic; this is for use in ServiceNow queries
hash< QueryOperatorInfo > | ServiceNowRestDataProvider::soql_op_in ()
| returns an QueryOperatorInfo hash for the `"IN"` operator with all arguments passed to the function
hash< QueryOperatorInfo > | ServiceNowRestDataProvider::soql_op_in (list< auto > args)
| returns an QueryOperatorInfo hash for the `"IN"` operator with the given argument list as the first argument
hash< QueryOperatorInfo > | ServiceNowRestDataProvider::soql_op_notin ()
| returns an QueryOperatorInfo hash for the `"NOTIN"` operator with all arguments passed to the function
hash< QueryOperatorInfo > | ServiceNowRestDataProvider::soql_op_notin (list< auto > args)
| returns an QueryOperatorInfo hash for the `"NOTIN"` operator with the given argument list as the first argument

## Detailed Description

These are the operators that can be used in ServiceNow queries

- query_op_like(): for the `"LIKE"` operator
- query_op_notlike(): for the `"NOTLIKE"` operator
- query_op_ge(): for the `">="` operator when comparing column values to immediate values
- query_op_gt(): for the `">"` operator when comparing column values to immediate values
- query_op_le(): for the `"<="` operator when comparing column values to immediate values
- query_op_lt(): for the `"<"` operator when comparing column values to immediate values
- query_op_ne(): for the `"!="` or `"<>"` operator when comparing column values to immediate values
- query_op_eq(): for the `"="` operator when comparing column values to immediate values
- query_op_isempty(): for the `"ISEMPTY"` operator comparing column values to an empty string
- query_op_isnotempty(): for the `"ISNOTEMPTY"` operator comparing column values to an empty string
- query_op_in(): for the `"IN"` operator to compare a column to multiple values
- query_op_notin(): for the `"NOTIN"` operator to compare a column to multiple values
- query_op_not(): for negating other operators
- query_wop_or(): for combining Query expressions with `"or"`

## Function Documentation

## query_make_op()

hash< QueryOperatorInfo > ServiceNowRestDataProvider::query_make_op | ( | string | op,
|  | auto | arg )

returns an QueryOperatorInfo hash

## query_op_eq()

hash< QueryOperatorInfo > ServiceNowRestDataProvider::query_op_eq | ( | auto | arg | ) |

returns an QueryOperatorInfo hash for the `"="` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_eq("Smith")});

Parameters

  arg | the argument for the operator

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

## query_op_ge()

hash< QueryOperatorInfo > ServiceNowRestDataProvider::query_op_ge | ( | auto | arg | ) |

returns an QueryOperatorInfo hash for the `">="` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_ge("Apple")});

Parameters

  arg | the argument for the operator

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

## query_op_gt()

hash< QueryOperatorInfo > ServiceNowRestDataProvider::query_op_gt | ( | auto | arg | ) |

returns an QueryOperatorInfo hash for the `">"` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_gt("Apple")});

Parameters

  arg | the argument for the operator

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

## query_op_isempty()

hash< QueryOperatorInfo > ServiceNowRestDataProvider::query_op_isempty | ( |  | ) |

returns an QueryOperatorInfo hash for the `"ISEMPTY"` operator with the given argument for use in ServiceNow queries when comparing column values to an empty string

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_isempty()});

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

## query_op_isnotempty()

hash< QueryOperatorInfo > ServiceNowRestDataProvider::query_op_isnotempty | ( |  | ) |

returns an QueryOperatorInfo hash for the `"ISNOTEMPTY"` operator with the given argument for use in ServiceNow queries when comparing column values to an empty string

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_isnotempty()});

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

## query_op_le()

hash< QueryOperatorInfo > ServiceNowRestDataProvider::query_op_le | ( | auto | arg | ) |

returns an QueryOperatorInfo hash for the `"<="` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_le("Zebra")});

Parameters

  arg | the argument for the operator

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

## query_op_like()

hash< QueryOperatorInfo > ServiceNowRestDataProvider::query_op_like | ( | string | str | ) |

returns an QueryOperatorInfo hash for the `"LIKE"` operator with the given argument for use in ServiceNow queries

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_like("smith")});

Parameters

  str | the argument for the operator

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

## query_op_lt()

hash< QueryOperatorInfo > ServiceNowRestDataProvider::query_op_lt | ( | auto | arg | ) |

returns an QueryOperatorInfo hash for the `"<"` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_lt("Zebra")});

Parameters

  arg | the argument for the operator

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

## query_op_ne()

hash< QueryOperatorInfo > ServiceNowRestDataProvider::query_op_ne | ( | auto | arg | ) |

returns an QueryOperatorInfo hash for the `"!="` or `"<>"` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_ne("Smith")});

Parameters

  arg | the argument for the operator

## query_op_not()

hash< QueryOperatorInfo > ServiceNowRestDataProvider::query_op_not | ( | hash | arg | ) |

returns an QueryOperatorInfo hash for the `"not"` operator; for use in ServiceNow queries

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_not(query_op_eq(name))});

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

## query_op_notlike()

hash< QueryOperatorInfo > ServiceNowRestDataProvider::query_op_notlike | ( | string | str | ) |

returns an QueryOperatorInfo hash for the `"NOTLIKE"` operator with the given argument for use in ServiceNow queries

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_notlike("smith")});

Parameters

  str | the argument for the operator

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

## query_wop_or()

hash< string, hash< QueryOperatorInfo > > ServiceNowRestDataProvider::query_wop_or | ( | hash< auto > | h1,
|  | hash< auto > | h2 )

returns an QueryOperatorInfo hash with a fake `"_OR_"` column name; the list of arguments to the function is combined such that each hash in the list generates SQL expressions combined with "and" logic, and each of those clauses is combined with "or" logic; this is for use in ServiceNow queries

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"Id": id} + query_wop_or({"Type": "C", "ValidationFlag": query_op_ne("Y")}, {"ExpirationFlag": 'Y'}));

Parameters

  h1 | the first hash of expressions to combine with `"or"` logic
  h2 | the second hash of expressions to combine with `"or"` logic
  ... | remaining expressions to combine with `"or"` logic

Returns
  a hash with an QueryOperatorInfo hash value keyed by a fake column name (`"_OR_"` with a numeric prefix for uniqueness) for use in a where operation description hash for use in ServiceNow queries

Note
  a random prefix is used so that multiple uses of the function can be used to generate a single where clause hash

## soql_op_in() [1/2]

hash< QueryOperatorInfo > ServiceNowRestDataProvider::soql_op_in | ( |  | ) |

returns an QueryOperatorInfo hash for the `"IN"` operator with all arguments passed to the function

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"value": query_op_in(200, 300, 500, 9)});

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

Note
  The argument list size may be constrained depending on the database server / driver used; passing a large number of arguments to this function may be a sign of an improper application or query design

## soql_op_in() [2/2]

hash< QueryOperatorInfo > ServiceNowRestDataProvider::soql_op_in | ( | list< auto > | args | ) |

returns an QueryOperatorInfo hash for the `"IN"` operator with the given argument list as the first argument

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"value": query_op_in(idlist)});

Parameters

  args | a list of values for the `"IN"` operator

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

Note
  The argument list size may be constrained depending on the database server / driver used; passing a large number of arguments to this function may be a sign of an improper application or query design

## soql_op_notin() [1/2]

hash< QueryOperatorInfo > ServiceNowRestDataProvider::soql_op_notin | ( |  | ) |

returns an QueryOperatorInfo hash for the `"NOTIN"` operator with all arguments passed to the function

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"value": query_op_notin(200, 300, 500, 9)});

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

Note
  The argument list size may be constrained depending on the database server / driver used; passing a large number of arguments to this function may be a sign of an improper application or query design

## soql_op_notin() [2/2]

hash< QueryOperatorInfo > ServiceNowRestDataProvider::soql_op_notin | ( | list< auto > | args | ) |

returns an QueryOperatorInfo hash for the `"NOTIN"` operator with the given argument list as the first argument

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"value": query_op_notin(idlist)});

Parameters

  args | a list of values for the `"NOTIN"` operator

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

Note
  The argument list size may be constrained depending on the database server / driver used; passing a large number of arguments to this function may be a sign of an improper application or query design